#include <cstdio>
#include <string.h>
#include <iostream>

using namespace std;

int N, K;
char s[1010];
char tmp[1010];

int main()
{
    int i;
	scanf("%d%s", &N, s);
	K = strlen(s);

	if(K <= 2) {
		printf("%s\n", s);
		return 0;
	}

    // Obratna transformacia
    for (i=0;i<N;i++)
    {
        int l=0,r=K-1,ind=0;

        while (l<K)
        {
            tmp[ind]=s[l];
            l+=2;
            ind++;
        }
        if(K%2==1)r--;
        while(r>0)
        {
          tmp[ind]=s[r];
            r-=2;
            ind++;
        }
       strcpy(s,tmp);
    }

	printf("%s\n", s);

	return 0;

}
